# H248_LocalControlDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_LocalControlDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_streamMode, e_reserveValue, e_reserveGroup }

## Public Member Functions

| H248_LocalControlDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_StreamMode | m_streamMode
PASN_Boolean | m_reserveValue
PASN_Boolean | m_reserveGroup
H248_ArrayOf_PropertyParm | m_propertyParms

## Member Enumeration Documentation

enum H248_LocalControlDescriptor::OptionalFields

Enumerator:

  e_streamMode |
  e_reserveValue |
  e_reserveGroup |

## Constructor & Destructor Documentation

H248_LocalControlDescriptor::H248_LocalControlDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_LocalControlDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_LocalControlDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_LocalControlDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_LocalControlDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_LocalControlDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_LocalControlDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_StreamMode H248_LocalControlDescriptor::m_streamMode

PASN_Boolean H248_LocalControlDescriptor::m_reserveValue

PASN_Boolean H248_LocalControlDescriptor::m_reserveGroup

H248_ArrayOf_PropertyParm H248_LocalControlDescriptor::m_propertyParms

The documentation for this class was generated from the following file:

- h248.h